<?php
/**
 * Theming function for path_breadcrumbs_ui_breadcrumbs_list form.
 */
function theme_eavfield_ui_attributes_list($vars) {

  $form = $vars['form'];
  $rows = array();
  foreach (element_children($form) as $attr) {
    if (isset($form[$attr]['weight'])) {
      $row = array();
      $row[] = filter_xss_admin(render($form[$attr]['title']));
      $row[] = check_plain(render($form[$attr]['name']));
      $row[] = check_plain(render($form[$attr]['type']));
      $row[] = check_plain(render($form[$attr]['group_name']));
      $row[] = render($form[$attr]['actions']);
      $row[] = render($form[$attr]['weight']);

      $class = 'enabled';
      if ($form[$attr]['disabled']['#value'] == TRUE) {
        $class = 'disabled';
      }

      $rows[] = array(
        'data' => $row,
        'class' => array('draggable', $class),
      );
    }
  }

  if (empty($rows)) {
    $rows = array(
      array(
        'data' => array(
          array(
            'data' => t('There are no created attributes yet.'),
            'colspan' => 5
          )
        ),
      )
    );
  }

  $header = array(t('Title'), t('Name'), t('Type'), t('Group'), t('Actions'), t('Weight'));
  $output = theme('table', array(
    'header' => $header,
    'rows' => $rows,
    'attributes' => array('id' => 'eavfield-ui-table-list')
  ));
  drupal_add_tabledrag('eavfield-ui-table-list', 'order', 'sibling', 'eavfield-ui-table-weight');
  return $output . drupal_render_children($form);
}
